Skip to main content
Server path: /spotify-catalog | Type: Application | PCID required: Yes

Tools


spotify_catalog_add_items_to_playlist

Add Items to Playlist Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
positionintegerNoThe position to insert the items, a zero-based index. For example, to insert the items in the first position: position=0; to insert the items in the third position: position=2. If omitted, the items will be appended to the playlist. Items are added in the order they are listed in the query string or request body.
urisstringNoA comma-separated list of Spotify URIs to add, can be track or episode URIs. For example:<br/>uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh, spotify:track:1301WleyT98MSxVHPZCA6M, spotify:episode:512ojhOuo1ktJprKbVcKyQ<br/>A maximum of 100 items can be added in one request. <br/> Note: it is likely that passing a large number of item URIs as a query parameter will exceed the maximum length of the request URI. When adding a large number of items, it is recommended to pass them in the request body, see below.

spotify_catalog_change_playlist_details

Change Playlist Details Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
collaborativebooleanNoIf true, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. <br/> Note: You can only set collaborative to true on non-public playlists.
descriptionstringNoValue for playlist description as displayed in Spotify Clients and in the Web API.
namestringNoThe new name for the playlist, for example "My New Playlist Title"
publicbooleanNoThe playlist’s public/private status (if it should be added to the user’s profile or not): true the playlist will be public, false the playlist will be private, null the playlist status is not relevant. For more about public/private status, see Working with Playlists

spotify_catalog_get_a_chapter

Get a Chapter Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the chapter.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.

spotify_catalog_get_a_show

Get Show Parameters:
ParameterTypeRequiredDefaultDescription
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
idstringYesThe Spotify ID for the show.

spotify_catalog_get_a_shows_episodes

Get Show Episodes Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the show.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limitintegerNoThe maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offsetintegerNoThe index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.

spotify_catalog_get_an_album

Get Album Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID of the album.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.

spotify_catalog_get_an_albums_tracks

Get Album Tracks Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID of the album.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limitintegerNoThe maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offsetintegerNoThe index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.

spotify_catalog_get_an_artist

Get Artist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID of the artist.

spotify_catalog_get_an_artists_albums

Get Artist’s Albums Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID of the artist.
include_groupsstringNoA comma-separated list of keywords that will be used to filter the response. If not supplied, all album types will be returned. <br/> Valid values are:<br/>- album<br/>- single<br/>- appears_on<br/>- compilation<br/>For example: include_groups=album,single.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limitintegerNoThe maximum number of items to return. Default: 5. Minimum: 1. Maximum: 10.
offsetintegerNoThe index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.

spotify_catalog_get_an_audiobook

Get an Audiobook Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the audiobook.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.

spotify_catalog_get_an_episode

Get Episode Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the episode.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.

spotify_catalog_get_audiobook_chapters

Get Audiobook Chapters Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the audiobook.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limitintegerNoThe maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offsetintegerNoThe index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.

spotify_catalog_get_playlist

Get Playlist Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
fieldsstringNoFilters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the playlist”s description and URI: fields=description,uri. A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder: fields=tracks.items(added_at,added_by.id). Use multiple parentheses to drill down into nested objects, for example: fields=tracks.items(track(name,href,album(name,href))). Fields can be excluded by prefixing them with an exclamation mark, for example: fields=tracks.items(track(name,href,album(!name,href)))
additional_typesstringNoA comma-separated list of item types that your client supports besides the default track type. Valid types are: track and episode.<br/> Note: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future.<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the type field of each object.

spotify_catalog_get_playlist_cover

Get Playlist Cover Image Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.

spotify_catalog_get_playlists_items

Get Playlist Items Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
fieldsstringNoFilters for the query: a comma-separated list of the fields to return. If omitted, all fields are returned. For example, to get just the total number of items and the request limit:<br/>fields=total,limit<br/>A dot separator can be used to specify non-reoccurring fields, while parentheses can be used to specify reoccurring fields within objects. For example, to get just the added date and user ID of the adder:<br/>fields=items(added_at,added_by.id)<br/>Use multiple parentheses to drill down into nested objects, for example:<br/>fields=items(track(name,href,album(name,href)))<br/>Fields can be excluded by prefixing them with an exclamation mark, for example:<br/>fields=items.track.album(!external_urls,images)
limitintegerNoThe maximum number of items to return. Default: 20. Minimum: 1. Maximum: 50.
offsetintegerNoThe index of the first item to return. Default: 0 (the first item). Use with limit to get the next set of items.
additional_typesstringNoA comma-separated list of item types that your client supports besides the default track type. Valid types are: track and episode.<br/> Note: This parameter was introduced to allow existing clients to maintain their current behaviour and might be deprecated in the future.<br/> In addition to providing this parameter, make sure that your client properly handles cases of new types in the future by checking against the type field of each object.

spotify_catalog_get_track

Get Track Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe Spotify ID for the track.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.

spotify_catalog_remove_items_playlist

Remove Playlist Items Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
itemsobject[]YesAn array of objects containing Spotify URIs of the tracks or episodes to remove. For example: &#123; "items": [&#123; "uri": "spotify:track:4iV5W9uYEdYUVa79Axb7Rh" &#125;,&#123; "uri": "spotify:track:1301WleyT98MSxVHPZCA6M" &#125;] &#125;. A maximum of 100 objects can be sent at once.
snapshot_idstringNoThe playlist’s snapshot ID against which you want to make the changes. The API will validate that the specified items exist and in the specified positions and make the changes, even if more recent changes have been made to the playlist.

spotify_catalog_reorder_or_replace_playlists_items

Update Playlist Items Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
urisstringNoA comma-separated list of Spotify URIs to set, can be track or episode URIs. For example: uris=spotify:track:4iV5W9uYEdYUVa79Axb7Rh,spotify:track:1301WleyT98MSxVHPZCA6M,spotify:episode:512ojhOuo1ktJprKbVcKyQ<br/>A maximum of 100 items can be set in one request.
insert_beforeintegerNoThe position where the items should be inserted.<br/>To reorder the items to the end of the playlist, simply set insert_before to the position after the last item.<br/>Examples:<br/>To reorder the first item to the last position in a playlist with 10 items, set range_start to 0, and insert_before to 10.<br/>To reorder the last item in a playlist with 10 items to the start of the playlist, set range_start to 9, and insert_before to 0.
range_lengthintegerNoThe amount of items to be reordered. Defaults to 1 if not set.<br/>The range of items to be reordered begins from the range_start position, and includes the range_length subsequent items.<br/>Example:<br/>To move the items at index 9-10 to the start of the playlist, range_start is set to 9, and range_length is set to 2.
range_startintegerNoThe position of the first item to be reordered.
snapshot_idstringNoThe playlist’s snapshot ID against which you want to make the changes.

Search for Item Parameters:
ParameterTypeRequiredDefaultDescription
qstringYesYour search query. You can narrow down your search using field filters. The available filters are album, artist, track, year, upc, tag:hipster, tag:new, isrc, and genre. Each field filter only applies to certain result types. The artist and year filters can be used while searching albums, artists and tracks. You can filter on a single year or a range (e.g. 1955-1960).<br /> The album filter can be used while searching albums and tracks.<br /> The genre filter can be used while searching artists and tracks.<br /> The isrc and track filters can be used while searching tracks.<br /> The upc, tag:new and tag:hipster filters can only be used while searching albums. The tag:new filter will return albums released in the past two weeks and tag:hipster can be used to return only albums with the lowest 10% popularity.<br />
typestring[]YesA comma-separated list of item types to search across. Search results include hits from all the specified item types. For example: q=abacab&type=album,track returns both albums and tracks matching “abacab”.
marketstringNoAn ISO 3166-1 alpha-2 country code. If a country code is specified, only content that is available in that market will be returned.<br/> If a valid user access token is specified in the request header, the country associated with the user account will take priority over this parameter.<br/> Note: If neither market or user country are provided, the content is considered unavailable for the client.<br/> Users can view the country that is associated with their account in the account settings.
limitintegerNoThe maximum number of results to return in each item type.
offsetintegerNoThe index of the first result to return. Use with limit to get the next page of search results.
include_externalstringNoIf include_external=audio is specified it signals that the client can play externally hosted audio content, and marks the content as playable in the response. By default externally hosted audio content is marked as unplayable in the response.

spotify_catalog_upload_custom_playlist_cover

Add Custom Playlist Cover Image Parameters:
ParameterTypeRequiredDefaultDescription
playlist_idstringYesThe Spotify ID of the playlist.
bodystringNoBase64 encoded JPEG image data, maximum payload size is 256 KB.